Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream
Class SequenceExchanger.SequencePusher

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.SequenceWriter
              com.saxonica.stream.SequenceExchanger.SequencePusher

All Implemented Interfaces:
  Result, Receiver

Enclosing class:
  SequenceExchanger

    public static class SequenceExchanger.SequencePusher

extends SequenceWriter

A SequenceReceiver that accepts a sequence of events and writes them to a Conduit

Field Summary

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`SequenceExchanger.SequencePusher(Conduit si, PipelineConfiguration pipe)` Create a SequencePusher

Method Summary
`void` | `close()` Close the output
`Conduit` | `getConduit()` Get the Conduit to which the events are written
`void` | `write(Item item)` Output one item in the sequence.

Methods inherited from class net.sf.saxon.event.SequenceWriter
`adviseReuse, append, attribute, characters, comment, endDocument, endElement, namespace, processingInstruction, startContent, startDocument, startElement, usesTypeAnnotations`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`append, getConfiguration, getNamePool, getPipelineConfiguration, getSystemId, open, setPipelineConfiguration, setSystemId, setUnparsedEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceExchanger.SequencePusher

    public SequenceExchanger.SequencePusher(Conduit si,
                                            PipelineConfiguration pipe)

  Create a SequencePusher

  Parameters:
    `si` - the Conduit to which the events are to be written
    `pipe` - the pipeline configuration

Method Detail

### getConduit

    public Conduit getConduit()

  Get the Conduit to which the events are written

  Returns:
    the Conduit to which the events are written

### write

    public void write(Item item)
               throws XPathException

  Output one item in the sequence.

  Specified by:
    `write` in class `SequenceWriter`
  Parameters:
    `item` - the item to be written to the sequence
  Throws:
    `XPathException` - if any failure occurs while writing the item

### close

    public void close()
               throws XPathException

  Close the output

  Specified by:
    `close` in interface `Receiver`
  Overrides:
    `close` in class `SequenceWriter`
  Throws:
    `XPathException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.